import { filter, finalize, shareReplay } from 'rxjs/operators';
import { BehaviorSubject } from 'rxjs';
export function useService(service) {
    const _state$ = new BehaviorSubject(service.state);
    const sub = service.subscribe((s) => _state$.next(s));
    const state$ = _state$.pipe(filter(({ changed }) => changed), shareReplay(1), finalize(() => {
        sub.unsubscribe();
    }));
    return { state$, send: service.send, service };
}
//# sourceMappingURL=useService.js.map